apiVersion: v1
kind: Secret
metadata:
  name: {{ awx_name }}
  namespace: {{ namespace }}
stringData:
  credentials_py: |
    BROADCAST_WEBSOCKET_SECRET = "{{ awx_ws_secret.resources[0].data['secret_key'] }}"
    DATABASES = {
        'default': {
            'ATOMIC_REQUESTS': True,
            'ENGINE': 'awx.main.db.profiled_pg',
            'HOST': "{{ awx_pg_name }}",
            'NAME': "{{ awx_pg_secret.resources[0].data['database-name'] | b64decode }}",
            'OPTIONS': { 'sslmode': 'prefer',
                         'sslrootcert': '/etc/pki/tls/certs/ca-bundle.crt',
            },
            'PASSWORD': "{{ awx_pg_secret.resources[0].data['database-password'] | b64decode }}",
            'PORT': "5432",
            'USER': "{{ awx_pg_secret.resources[0].data['database-user'] | b64decode }}",
        }
    }
  environment_sh: |
    DATABASE_NAME="{{ awx_pg_secret.resources[0].data['database-name'] | b64decode }}"
    DATABASE_HOST="{{ awx_pg_name }}"
    DATABASE_PASSWORD="{{ awx_pg_secret.resources[0].data['database-password'] | b64decode }}"
    DATABASE_PORT=5432
    DATABASE_USER="{{ awx_pg_secret.resources[0].data['database-user'] | b64decode }}"
